<template>
    <div class="container-list">
        <athlete-card v-for="card in athletesListData" :key="card.id" :athlete-data="card" :isSelected="isSelectedList"
            @deselect="$emit('deselect', card.id)" @select="$emit('select', card.id)" />
    </div>
</template>

<script>

import athleteCard from '@/components/athleteCard.vue';
export default {
    name: 'athletesList',

    components: {
        athleteCard,
    },
    //so i will get external data where all athletes are stored
    props: {
        athletesListData: {
            type: Array,
            default: () => []
        },
        isSelectedList: {
            type: Boolean,
            default: false
        }
    },
}
</script>

<style lang="css" scoped></style>